Description

We have this problem for instance on Ubuntu 18.04, where numpy is installed on the system, then we have upgraded it using pip.
The install copies all modules in inverse path order, and both numpy installs end up in the same directory. New files replace older
ones, which seems OK. But in fact some files have changed names, and numpy happens to try loading the older names first.

A set of compiled modules, /usr/lib/python2.7/dist-packages/numpy/core/*.x86_64-linux-gnu.so are named without the
.x86_64-linux-gnu extension in the newer module, but the former ones are loaded.

So we must not copy the older ones in the install.

Maybe we should completely remove directories which already exist when copying modules in the install, but I'm not sure some are
not reused partly.

Associated revisions

Revision 83588 - 22/10/2018 03:26 PM - Riviere, Denis

try to fix #18683 by deleting subdirectories of dist-packages or site-packages before re-writing new modules at the same place. Seems to fix Ubuntu
18.04 but | have not tested side effects on other systems yet.

Revision 83588 - 22/10/2018 03:26 PM - Riviere, Denis
try to fix #18683 by deleting subdirectories of dist-packages or site-packages before re-writing new modules at the same place. Seems to fix Ubuntu

18.04 but | have not tested side effects on other systems yet.

Revision 83627 - 25/10/2018 11:00 AM - Riviere, Denis

fix in dirs to remove, #18683 was not completely fixed yet.

Revision 83627 - 25/10/2018 11:00 AM - Riviere, Denis

fix in dirs to remove, #18683 was not completely fixed yet.

History

#1 - 24/10/2018 05:11 PM - Riviere, Denis
- Status changed from New to Closed
- Assignee set to Riviere, Denis

- Resolution set to Fixed

fixed by selectively deleting previous installations of numpy (r83606, r83612)
https://bioproj.extra.cea.fr/redmine/projects/brainvisa-devel/repository/70/revisions/83606
https://bioproj.extra.cea.fr/redmine/projects/brainvisa-devel/repository/70/revisions/83612
